package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.model.Association;
import com.ccnode.codegenerator.dom.model.Collection;
import com.ccnode.codegenerator.dom.model.Constructor;
import com.ccnode.codegenerator.dom.model.Discriminator;
import com.ccnode.codegenerator.dom.model.Id;
import com.ccnode.codegenerator.dom.model.Result;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.SubTag;
import com.intellij.util.xml.SubTagList;
import java.util.List;

public interface GroupFour extends DomElement {
  @SubTag("constructor")
  Constructor getConstructor();
  
  @SubTagList("id")
  List<Id> getIds();
  
  @SubTagList("result")
  List<Result> getResults();
  
  @SubTagList("association")
  List<Association> getAssociations();
  
  @SubTagList("collection")
  List<Collection> getCollections();
  
  @SubTag("discriminator")
  Discriminator getDiscriminator();
}
